[tex-live] Bug in TexLive installer

Siep Kroonenberg siepo at cybercomm.nl
Tue Jan 17 23:22:47 CET 2017

On Tue, Jan 17, 2017 at 06:16:17PM +0000, hz hzmonte wrote:
> Bug in TexLive installer
> I just downloaded the install-tl-windows.exe for Windows from https://www.tug.org/texlive/acquire-netinstall.html for my Win XP.  It has been a big hassle to install it.  I think at least part of the problems is that an outdated version of perl - perl522.dll (and maybe other files as well) was included in \install-tl-20170116\tlpkg\tlperl\bin.  The installer looked for perl524.dll - it said so explicitly in the error message!  After putting perl524.dll in \install-tl-20170116\tlpkg\tlperl\bin  I still got perl and wget problems. I don't know what else is wrong.

I have no idea why the installer would look for Perl 5.24; it goes
out of its way to isolate the installation process from any
pre-installed Perl versions and just use the included perl, which is
indeed version 5.22.1.

Did you maybe unpack the installer and try to run the install-tl
perl script directly? This script in meant to be run from either
install-tl-windows.bat or from install-tl-advanced.bat. This second
batchfile just invokes the first one with an extra option.

It would help if you could include a screenshot of the error
message, or, better, copy-and-paste any text output into your mail.

Siep Kroonenberg

More information about the tex-live mailing list